package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.Date;

/**
 * @Description 断点续考记录表
 * @Author lideyin
 * @Date 2020/8/13 11:17
 * @Version 1.0
 */
public class ExamContinuedRecordBean implements JsonSerializable {

    private static final long serialVersionUID = 9169768812546247057L;
    private Long id;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 断点续考时间
     */
    private Date continuedTime;

    /**
     * 开始答题时间
     */
    private Date startTime;

    /**
     * 考试已用时长(毫秒)
     */
    private long usedExamTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Date getContinuedTime() {
        return continuedTime;
    }

    public void setContinuedTime(Date continuedTime) {
        this.continuedTime = continuedTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public long getUsedExamTime() {
        return usedExamTime;
    }

    public void setUsedExamTime(long usedExamTime) {
        this.usedExamTime = usedExamTime;
    }
}
