package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.List;

/**
 * @Description 待阅卷的考试记录实体
 * @Author lideyin
 * @Date 2019/11/22 13:50
 * @Version 1.0
 */
public class ToBeMarkExamRecordBean implements JsonSerializable {
    private static final long serialVersionUID = 6350778610949208479L;
    /**
     * 考试id
     */
    private Long examId;

    /**
     * 考生id
     */
    private Long examStudentId;

    /**
     * 姓名
     */
    private String studentName;

    /**
     * 学号
     */
    private String studentCode;

    /**
     * 课程代码
     */
    private String courseCode;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 卷型
     */
    private String paperType;

    /**
     * 考试记录Data Id
     */
    private Long examRecordDataId;

    /**
     * 待阅的主观题集合
     */
    private List<ToBeMarkSubjectiveAnswerBean> subjectiveAnswerList;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public List<ToBeMarkSubjectiveAnswerBean> getSubjectiveAnswerList() {
        return subjectiveAnswerList;
    }

    public void setSubjectiveAnswerList(List<ToBeMarkSubjectiveAnswerBean> subjectiveAnswerList) {
        this.subjectiveAnswerList = subjectiveAnswerList;
    }
}
