package cn.com.qmth.examcloud.core.oe.student.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.List;

/**
 * @Description 新活检结果明细实体
 * @Author lideyin
 * @Date 2019/12/20 17:16
 * @Version 1.0
 */
public class FaceBiopsyItemBean implements JsonSerializable {

    private static final long serialVersionUID = -322561973794249532L;

    /**
     * 考试记录id
     */
    private Long examRecordDataId;

    /**
     * 人脸识别结果id
     */
    private Long faceBiopsyId;

    /**
     * 人脸识别类型
     */
    private String faceBiopsyType;

    /**
     * 检测是否已完成
     */
    private Boolean completed;

    /**
     * 检测结果
     */
    private Boolean result;
    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 是否在冻结时间内
     */
    private Boolean inFreezeTime;

    /**
     * 活检检测步骤
     */
    private List<FaceBiopsyItemStepBean> faceBiopsyItemSteps;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getFaceBiopsyId() {
        return faceBiopsyId;
    }

    public void setFaceBiopsyId(Long faceBiopsyId) {
        this.faceBiopsyId = faceBiopsyId;
    }

    public String getFaceBiopsyType() {
        return faceBiopsyType;
    }

    public void setFaceBiopsyType(String faceBiopsyType) {
        this.faceBiopsyType = faceBiopsyType;
    }

    public Boolean getCompleted() {
        return completed;
    }

    public void setCompleted(Boolean completed) {
        this.completed = completed;
    }

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Boolean getInFreezeTime() {
        return inFreezeTime;
    }

    public void setInFreezeTime(Boolean inFreezeTime) {
        this.inFreezeTime = inFreezeTime;
    }

    public List<FaceBiopsyItemStepBean> getFaceBiopsyItemSteps() {
        return faceBiopsyItemSteps;
    }

    public void setFaceBiopsyItemSteps(List<FaceBiopsyItemStepBean> faceBiopsyItemSteps) {
        this.faceBiopsyItemSteps = faceBiopsyItemSteps;
    }
}
