package cn.com.qmth.examcloud.core.oe.admin.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.BaseResponse;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.ToBeMarkExamRecordBean;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.ToBeMarkSubjectiveAnswerBean;

import java.util.List;

/**
 * @Description 获取待阅卷的考试记录响应类
 * @Author lideyin
 * @Date 2019/11/22 11:32
 * @Version 1.0
 */
public class GetToBeMarkExamRecordResp extends BaseResponse {

    private static final long serialVersionUID = 9083389492759528604L;

    /**
     * 待阅卷的考试记录集合
     */
    private List<ToBeMarkExamRecordBean> toBeMarkExamRecordBeanList;

    public List<ToBeMarkExamRecordBean> getToBeMarkExamRecordBeanList() {
        return toBeMarkExamRecordBeanList;
    }

    public void setToBeMarkExamRecordBeanList(List<ToBeMarkExamRecordBean> toBeMarkExamRecordBeanList) {
        this.toBeMarkExamRecordBeanList = toBeMarkExamRecordBeanList;
    }
}
