package cn.com.qmth.examcloud.core.oe.student.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.support.enums.HandInExamType;

/**
 * @Description 交卷
 * @Author lideyin
 * @Date 2020/1/16 16:55
 * @Version 1.0
 */
public class HandInExamReq extends BaseRequest {

    private static final long serialVersionUID = 7287520603393647287L;
    /**
     * 考试记录id
     */
    private Long examRecordDataId;

    private HandInExamType handInExamType;

    /**
     * 调用者的ip，交卷类型为自动交卷时，不用传值
     */
    private String ip;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public HandInExamType getHandInExamType() {
        return handInExamType;
    }

    public void setHandInExamType(HandInExamType handInExamType) {
        this.handInExamType = handInExamType;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }
}
