package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @author  	chenken
 * @date    	2018年11月27日 下午5:51:08
 * @company 	QMTH
 * @description OuterQueryScoreDataReq.java
 */
public class OuterQueryScoreDataReq extends EnterpriseRequest{

	/**
	 *
	 */
	private static final long serialVersionUID = -5033520077132433253L;

	@ApiModelProperty(value = "考试代码,推荐使用")
	private String examCode;
	@ApiModelProperty(value = "考试名称(废弃属性,实际上作为考试编码使用)", example = "2018年6月期末考试", required = false)
	@Deprecated
	private String examName;

	private Long rootOrgId;

	private String studentCode;

	private String identityNumber;

	private String courseCode;

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getExamCode() {
		return examCode;
	}

	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

}
